# Uses of Class
org.apache.lucene.search.uhighlight.PhraseHelper

Packages that use PhraseHelper
Package
Description
org.apache.lucene.search.uhighlight
The UnifiedHighlighter -- a flexible highlighter that can get offsets from postings, term vectors, or analysis.

- ## Uses of PhraseHelper in org.apache.lucene.search.uhighlight

  Fields in org.apache.lucene.search.uhighlight declared as PhraseHelper
  Modifier and Type
  Field
  Description
  `static final PhraseHelper`
  PhraseHelper.`NONE`
  Methods in org.apache.lucene.search.uhighlight that return PhraseHelper
  Modifier and Type
  Method
  Description
  `protected PhraseHelper`
  UnifiedHighlighter.`getPhraseHelper(String field, Query query, Set<UnifiedHighlighter.HighlightFlag> highlightFlags)`
  `PhraseHelper`
  UHComponents.`phraseHelper()`
  Returns the value of the `phraseHelper` record component.
  Constructors in org.apache.lucene.search.uhighlight with parameters of type PhraseHelper
  Modifier
  Constructor
  Description
  ``
  `UHComponents(String field, Predicate<String> fieldMatcher, Query query, BytesRef[] terms, PhraseHelper phraseHelper, LabelledCharArrayMatcher[] automata, boolean hasUnrecognizedQueryPart, Set<UnifiedHighlighter.HighlightFlag> highlightFlags)`
  Creates an instance of a `UHComponents` record class.